package com.bonus.material.equipment.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.equipment.domain.*;
import com.bonus.material.equipment.domain.DeptEquipmentConfig;
import com.bonus.material.equipment.domain.DeptTreeSelect;
import com.bonus.system.api.domain.SysDept;
import com.bonus.system.api.domain.SysUser;

import java.util.List;

public interface ISysDeptService {

    public List<DeptTreeSelect> selectDeptTreeList(SysDept dept);

    List<SysUser> selectUserList(DeptEquipmentConfig  user);


    AjaxResult selectConfigList(DeptEquipmentConfig user);

    AjaxResult getTree();

    List<DeptConfigRateSummary> selectDeptConfigRatePivot(DeptConfigRateSummary entity);

    List<DeptConfigTypeSummary> selectDeptConfigTypeSummary(DeptConfigTypeSummary entity);

    List<EquipmentDetail> detailsInfo(EquipmentDetail equipmentDetail);
}
